JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TreeView::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes to provide TreeView drawing functionality. More...

`#include <juce_TreeView.h>`

Inheritance diagram for TreeView::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawTreeviewPlusMinusBox (Graphics &, const Rectangle< float > &area, Colour backgroundColour, bool isItemOpen, bool isMouseOver)=0
virtual bool | areLinesDrawnForTreeView (TreeView &)=0
virtual int | getTreeViewIndentSize (TreeView &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide TreeView drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual TreeView::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawTreeviewPlusMinusBox()

virtual void TreeView::LookAndFeelMethods::drawTreeviewPlusMinusBox | ( | Graphics & | ,
|  | const Rectangle< float > & | area,
|  | Colour | backgroundColour,
|  | bool | isItemOpen,
|  | bool | isMouseOver )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ areLinesDrawnForTreeView()

virtual bool TreeView::LookAndFeelMethods::areLinesDrawnForTreeView | ( | TreeView & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

## ◆ getTreeViewIndentSize()

virtual int TreeView::LookAndFeelMethods::getTreeViewIndentSize | ( | TreeView & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V3.

The documentation for this struct was generated from the following file:

- juce_TreeView.h